org.apache.cxf.bus.managers

## Class CXFBusLifeCycleManager

- java.lang.Object
- - org.apache.cxf.bus.managers.CXFBusLifeCycleManager

- All Implemented Interfaces:
    BusLifeCycleListener, BusLifeCycleManager

      public class CXFBusLifeCycleManager
      extends Object
      implements BusLifeCycleManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CXFBusLifeCycleManager()`
    `CXFBusLifeCycleManager(Bus b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initComplete()` Invoked when the `Bus` has been initialized.
    `void` | `postShutdown()` Invoked after the `Bus` is shutdown.
    `void` | `preShutdown()` Invoked before the `Bus` is shutdown.
    `void` | `registerLifeCycleListener(BusLifeCycleListener listener)` Register a listener to receive `Bus` lifecycle notification.
    `void` | `setBus(Bus b)`
    `void` | `unregisterLifeCycleListener(BusLifeCycleListener listener)` Unregister a listener so that it will no longer receive `Bus` lifecycle events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CXFBusLifeCycleManager

          public CXFBusLifeCycleManager()

    - #### CXFBusLifeCycleManager

          public CXFBusLifeCycleManager(Bus b)

  - ### Method Detail

    - #### setBus

          public final void setBus(Bus b)

    - #### registerLifeCycleListener

          public final void registerLifeCycleListener(BusLifeCycleListener listener)

      Description copied from interface: `BusLifeCycleManager`
      Register a listener to receive `Bus` lifecycle notification.
      Specified by:
        `registerLifeCycleListener` in interface `BusLifeCycleManager`
      Parameters:
        `listener` - The `BusLifeCycleListener` that will receive the events.

    - #### unregisterLifeCycleListener

          public void unregisterLifeCycleListener(BusLifeCycleListener listener)

      Description copied from interface: `BusLifeCycleManager`
      Unregister a listener so that it will no longer receive `Bus` lifecycle events.
      Specified by:
        `unregisterLifeCycleListener` in interface `BusLifeCycleManager`
      Parameters:
        `listener` - The `BusLifeCycleListener` to unregister.

    - #### initComplete

          public void initComplete()

      Description copied from interface: `BusLifeCycleListener`
      Invoked when the `Bus` has been initialized.
      Specified by:
        `initComplete` in interface `BusLifeCycleListener`

    - #### preShutdown

          public void preShutdown()

      Description copied from interface: `BusLifeCycleListener`
      Invoked before the `Bus` is shutdown.
      Specified by:
        `preShutdown` in interface `BusLifeCycleListener`

    - #### postShutdown

          public void postShutdown()

      Description copied from interface: `BusLifeCycleListener`
      Invoked after the `Bus` is shutdown.
      Specified by:
        `postShutdown` in interface `BusLifeCycleListener`

Apache CXF